Request

https://id.oneclicklcaapp.com/realms/oneclicklca/protocol/openid-connect/token

Request body

OAuth client credentials flow containing clientId and secret for authentication

Body

Name
Required
Type
Description
grant_type
true
string
OAuth grant type should be 'client_credentials'
client_id
true
string
Client ID provided by support
client_secret
true
string
Client secret provided by support
audience
false
string
Audience for the token should be 'simapro-synergy'
curl --location 'https://id.oneclicklcaapp.com/realms/oneclicklca/protocol/openid-connect/token' \
--header 'content-type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=jason_temp_client' \
--data-urlencode 'client_secret=secure123' \
--data-urlencode 'audience=simapro-synergy'